| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::NonDeterministicRandomData Class Reference
Inheritance diagram for Digikam::NonDeterministicRandomData:

## Public Member Functions
| NonDeterministicRandomData (int size)
| Constructs a QByteArray of given byte size filled with non-deterministic random data.

## Constructor & Destructor Documentation

## ◆ NonDeterministicRandomData()

Digikam::NonDeterministicRandomData::NonDeterministicRandomData | ( | int | size | ) |
| explicit

For larger quantities of data, prefer using a RandomNumberGenerator seeded with non-deterministic data.